Three lines

Uber

Developers

[Webhook] Driver Account Status Change

Privileged and Confidential This endpoint design has been confidentially shared with you. It is still under development and is subject to change without notice. Please do not share this document or API endpoint details with anyone who is not authorized to have access. For more information read about scopes.

Note This webhook is only supported for drivers added to your organization via SCIM.

Use case

By subscribing to this webhook, fleet companies will receive a notification when a driver they have invited responds to the invitation and Uber attempts to link the driver’s Uber account to the fleet’s organization. The event tells the fleet company whether the account was linked successfully or whether linking failed. They can also use the external_id in the event to match the Uber driver to the driver record in their own systems.

For more information on how to utilize webhooks, please refer to the provided link here.

Supported supplier types

Fleets

Support for Hierarchical Data

The webhook supports hierarchical data, sending updates for all organizations under the root where the clientID is allowlisted. This ensures comprehensive data coverage and management across different levels of the organization.

Webhook response fields
Request Query/Body Parameters
Name Type Description
event_id string Unique event identifier, which can be used to ensure that events are only digested once. This is an Uber generated UUID.
event_time string The time the event occurred, as an ISO 8601 timestamp in UTC with millisecond precision (e.g. 2026-08-28T10:30:00.000Z).
event_type string The type of event that occurred. In this case, the value would be FLEET_DRIVER_ACCOUNT_STATUS_CHANGE.
status string The outcome of the account linking. See Account Status Flags for possible values.
driver_id string Raw driver UUID — unique identifier of the driver this event has been generated for.
organization_id string Encrypted organization UUID of the organization the driver was invited to. Can be an empty string if the organization ID could not be resolved when the event was sent.
external_id string Your own identifier for the driver, as provided in the externalId field of the SCIM CreateUser request. Empty string if no identifier was provided or it could not be resolved when the event was sent.
resource_href string An absolute URL that can be used to fetch the latest driver data via the Get Drivers Information API. Only present when status is ACCOUNT_LINKED_SUCCESS.

Account Status Flags

Status Meaning
ACCOUNT_LINKED_SUCCESS The driver accepted the invitation and their Uber account is now linked to your organization.
ACCOUNT_LINKING_FAILURE The driver attempted to accept the invitation, but their Uber account could not be linked to your organization. No resource_href is included, as there is no linked account to fetch.
Webhook Security

For detailed information on securing webhooks, please refer to the security guidelines here.

Webhook event structure
{
    "event_id": "<uuid>",
    "event_type": "FLEET_DRIVER_ACCOUNT_STATUS_CHANGE",
    "event_time": "2026-08-28T10:30:00.000Z",
    "status": "ACCOUNT_LINKED_SUCCESS",
    "resource_href": "https://api.uber.com/v1/vehicle-suppliers/drivers?org_id=<ENC_ORG_UUID>&driver_id=<RAW_DRIVER_UUID>",
    "driver_id": "<RAW_DRIVER_UUID>",
    "organization_id": "<ENC_ORG_UUID>",
    "external_id": "<YOUR_DRIVER_IDENTIFIER>"
}
Webhook event structure with Linking Failure
{
    "event_id": "<uuid>",
    "event_type": "FLEET_DRIVER_ACCOUNT_STATUS_CHANGE",
    "event_time": "2026-08-28T10:30:00.000Z",
    "status": "ACCOUNT_LINKING_FAILURE",
    "driver_id": "<RAW_DRIVER_UUID>",
    "organization_id": "<ENC_ORG_UUID>",
    "external_id": "<YOUR_DRIVER_IDENTIFIER>"
}
Retry

If Uber does not receive an acknowledgement response, the event will be resent based on an exponential backoff algorithm. The next webhook event will be sent 30 seconds after the initial event, then again after 60 seconds, then after 120 seconds, and so on. Seven retries will be made with this exponential backoff.

Backfill Process

Currently not supported. Events are forward-only — no historical events will be replayed at launch.

Notes
  • A single event type, FLEET_DRIVER_ACCOUNT_STATUS_CHANGE, covers every outcome. Use the status field to determine what happened.
  • Events are sent only for drivers who attempt to accept an invitation from your organization.
  • Use driver_id as the primary identifier for the driver. organization_id and external_id are always present in the payload, but may be empty strings if they could not be resolved when the event was sent.
  • resource_href is an absolute URL that includes the host. Call it with one of the scopes required by the Get Drivers Information API. Refer to the API documentation to include compliance data in the API response.
  • This webhook is gated per client ID. Contact your Uber account manager to enable it for your integration.
Sand Box

Please note that sandbox support is currently unavailable.

Uber

Developers
© 2026 Uber Technologies Inc.